#!/bin/sh

#For core dumps:
#http://www.kdedevelopers.org/node/3921

if [ ! -e "fs.cpp" ]; then
    echo "This can only run from the fsrunner directory"
    exit 1
fi

if [ ! "$1" = "--noclean" ]; then
    rm -rf build &>/dev/null
fi

mkdir -p build
cd build || exit 1
export CFLAGS="-O0 -Wall -pipe -ggdb"
export CXXFLAGS="$CFLAGS"
cmake -D CMAKE_BUILD_TYPE=Debug -D CMAKE_INSTALL_PREFIX:PATH=/usr .. || exit 1
make -j5 || exit 1
echo "Now running sudo make install"
sudo make install || exit 1

echo "Now restart krunner with killall krunner; krunner &"

if [ "$1" = "--run" ] || [ "$2" = "--run" ]; then
    #This will put the log file in build/krunner.log
    killall krunner &>/dev/null
    sleep 0.5
    killall -9 krunner &>/dev/null
	
	export KDE_DEBUG=1
	ulimit -c unlimited

    krunner --nocrashhandler 2>&1 | tee krunner.log
fi
