#!/bin/sh
if [ ! -e "fs.cpp" ]; then
    echo "This can only run from the fsrunner directory"
    exit 1
fi

if [ ! "$1" = "--noclean" ]; then
    rm -rf build &>/dev/null
fi

mkdir -p build
cd build || exit 1
#export CFLAGS="-Wall -pipe -pg -g"
export CFLAGS="-Wall -pipe -g -pg"
#export CFLAGS="-Wall -fprofile-arcs -ftest-coverage"
export CXXFLAGS="$CFLAGS"
#cmake -D CMAKE_INSTALL_PREFIX:PATH=/usr .. || exit 1
#cmake -D CMAKE_BUILD_TYPE=Debug -DLOWMEM_SCAN:BOOL=ON -DPROFILE:BOOL=ON -D CMAKE_INSTALL_PREFIX:PATH=/usr .. || exit 1
cmake -D CMAKE_BUILD_TYPE=Debug -DPROFILE:BOOL=ON -D CMAKE_INSTALL_PREFIX:PATH=/usr .. || exit 1
make -j5 || exit 1
#echo "Now running sudo make install"
#sudo make install

echo "Now restart krunner with killall krunner; krunner &"

if [ "$1" = "--run" ] || [ "$2" = "--run" ]; then
    #This will put the log file in build/krunner.log
    killall krunner &>/dev/null
    echo "Running"
    rm profile.* gmon.out &>/dev/null
    export GMON_OUT_PREFIX=profile
    #export LD_PRELOAD=../gprof-helper.so 
    #time krunner --nocrashhandler
    time ./profiler
    echo "Completed"
    ls profile.* gmon.out
    #killall krunner &>/dev/null
fi

#source /etc/make.conf && export CFLAGS="$CFLAGS -g -pg" && FEATURES="nostrip" emerge -1 krunner
#-ggdb
#gprof /usr/bin/krunner build/gmon.out

#g++ -pg -L /export/home/chanaka/first/lib -lmitTest z.cpp -o z.out
#export LD_PROFILE=libmitTet.so:z.out
#gprof  -b z.out gmon.out 
