#!/bin/sh

if [ ! -e "fs.cpp" ]; then
    echo "This can only run from the fsrunner directory"
    exit 1
fi

if [ ! "$1" = "--noclean" ]; then
    rm -rf build &>/dev/null
fi

mkdir -p build
cd build || exit 1
export CFLAGS="-O2 -pipe -g"
export CXXFLAGS="$CFLAGS"
cmake -D CMAKE_INSTALL_PREFIX:PATH=/usr .. || exit 1
make -j5 || exit 1
echo "Now running sudo make install"
sudo make install

echo "Now restart krunner with killall krunner; krunner &"

if [ "$1" = "--run" ] || [ "$2" = "--run" ]; then
    #This will put the log file in build/krunner.log
    killall krunner &>/dev/null
    krunner --nocrashhandler 2>&1 | tee krunner.log
fi

