/*
 *   Copyright (C) 2008-2009 Anders Aagaard <aagaande@gmail.com
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Library General Public License version 2 as
 *   published by the Free Software Foundation
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details
 *
 *   You should have received a copy of the GNU Library General Public
 *   License along with this program; if not, write to the
 *   Free Software Foundation, Inc.,
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#ifndef configLoader_H
#define configLoader_H

#include <QList>
#include <QString>
#include <KConfigGroup>
#include <KSharedConfig>
#include <KDebug>
#include <QDir>

#include <cassert>

struct Folder
{
    QString path;
    int subdirs; // default = 3
    int priority; // default = 0
    bool files; // default = true
    bool slow; // default = false
};

struct FSSettings
{
    QList<Folder> folders;
    int dbversion;

    bool treatSpaceAsStar; // Default = true
    bool searchTermStrict; // This means search term <term>*, if !strict *<term>*, default true
    bool searchFieldName; // If ! search field becomes full path, default true
    bool enableActions; // If true, we add the open with button on each row in krunner
};

FSSettings loadConfig();
void saveSettings(const FSSettings &settings);
void saveVersion(QString key, int version);
#endif
