/*
 *   Copyright (C) 2008-2009 Anders Aagaard <aagaande@gmail.com
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Library General Public License version 2 as
 *   published by the Free Software Foundation
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details
 *
 *   You should have received a copy of the GNU Library General Public
 *   License along with this program; if not, write to the
 *   Free Software Foundation, Inc.,
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#ifndef FSCHECKCONFIG_H
#define FSCHECKCONFIG_H

#include <KFileDialog>
#include <QTreeView>
#include <QStandardItemModel>
#include <KCModule>
#include "config.h"
#include "ui_fsConfig.h"


class FsConfigForm : public QWidget, public Ui::fsConfig
{
    Q_OBJECT
public:
    explicit FsConfigForm(QWidget* parent);
};

class FSConfig : public KCModule
{
    Q_OBJECT
public:
    explicit FSConfig(QWidget* parent = 0, const QVariantList& args = QVariantList());
    ~FSConfig();

public slots:
    void save();
    void load();
    void defaults();

private slots:
    void modelItemChanged(QStandardItem *item);
    void addClicked();
    void deleteClicked();

private:
    QList<Folder> folders;
    QStandardItemModel *model;
    FsConfigForm* ui;

    void refresh();
};

#endif
