#include <QGridLayout>

#include <QtGui/QApplication>
#include <KConfigGroup>
#include <KDebug>
#include <KPluginFactory>
#include <KPluginLoader>
#include <QPushButton>
#include <QDialogButtonBox>
#include <KIcon>
#include <cassert>
#include <QSqlTableModel>


#include <KFileDialog>
#include <QTreeView>
#include <QStandardItemModel>
#include <KCModule>
#include "config.h"
#include "database.h"
#include "dirwatcher.h"

int main(int argc, char *argv[])
{
#ifdef PROFILE
    QApplication a(argc, argv);


    for (int i = 0; i < 10; i++) {
        Database *database_;
        DirWatcher *dirWatcher_;

        FSSettings settings = loadConfig();
        database_ = new Database(&settings);
        if (!database_->isValid()) {
            qCritical("Database invalid!, dying gracefully");
            delete database_;
            database_ = 0;
            dirWatcher_ = 0;
        } else
            dirWatcher_ = new DirWatcher(&settings, database_, 0);

        dirWatcher_->wait();
        qWarning() << "The end";
        delete dirWatcher_;
        delete database_;
    }
    a.quit();
    //return a.exec();
#else
#error cant build profile without profiling support enabled.  Build with cmake -D CMAKE_BUILD_TYPE=Debug -DPROFILE:BOOL=ON
#endif
}
